petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatGetSize

Returns the numbers of rows and columns in a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetSize(Mat mat,PetscInt *m,PetscInt *n)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameters

| m | - the number of global rows
| n | - the number of global columns

Note: both output parameters can be NULL on input.

### See Also

MatGetLocalSize()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex10.c.html
src/mat/examples/tutorials/ex16.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex74f.F90.html
src/ts/examples/tutorials/ex14.c.html
src/tao/constrained/examples/tutorials/maros.c.html